Bug 230508 - grub installed onto usb-storage, not hard disk
Summary: grub installed onto usb-storage, not hard disk
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: D620_Tracker FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-03-01 03:42 UTC by Warren Togami
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-30 16:02:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Warren Togami 2007-03-01 03:42:05 UTC
Fresh new laptop with completely blank hard drive, nothing in the primary boot
record.

Booted off of the usb-storage device with x86_64 written with diskboot.img and
installed Fedora 7 Test2.  During install I clicked "Ignore" (not "Format") when
it asked about /dev/sdb twice before partitioning.

Install succeeded onto /dev/sda succeeded.  I removed the USB storage device. 
It failed to boot, saying the PBR is invalid.

Puzzled, I attempted to boot from the USB device again.  But this time instead
of showing me the syslinux menu, it showed me the grub menu with the kernel on
/dev/sda.

Two Issues
==========
1. It might be best if Anaconda knows which disk it booted bootdisk.img from,
and completely ignore that during install?  (Don't ask me if I want to format
that disk.)
2. It seems that grub installed itself onto the wrong disk.

Comment 1 Jeremy Katz 2007-03-01 16:30:34 UTC
Welcome to the world of PC bioses sucking.  Given that you booted off of the USB
device, we're led to believe that it's 0x80 to the BIOS.  So we want to boot off
of it.  I'm not sure what to do about this when we want to allow installing to
USB hard drives :-/

Maybe we need to add a simple "install bootloader to this drive" on the first
auto-partitioning screen that gets used if you do autopartitioning.

Sticking on FC7Target for now so that we think about it some more for F7 at least.

Comment 2 David Cantrell 2007-03-30 16:02:32 UTC
Fixed in rawhide.  On the partitioning screen, there is a combo box with a label
"What drive would you like to boot this installation from?" and you can select
the boot disk that way.


Note You need to log in before you can comment on or make changes to this bug.